using Schnittstelle.Sanierung;
using System.Diagnostics;

namespace FinjaSAN;

class Program
{
    static void Main(string[] args)
    {
        Stopwatch sw = new Stopwatch();
        sw.Start();
        string path = "";
        if(args.Length > 0) path = args[0];
        else path = @"C:\Users\damia\Desktop\dev\FinjaSAN\Bewertet.xml";
        
        
        List<Schnittstelle.Import.XML.v2013.Model.KanalObjekt> src = new List<Schnittstelle.Import.XML.v2013.Model.KanalObjekt>();

#if !DEBUG
        try
        {
#endif
            src = new Schnittstelle.Import.XML.v2013.XML2013(path).KanalObjekte;
#if !DEBUG
        }
        catch (Exception ex)
        {
            Console.WriteLine("Beim Importieren wurde ein Steuerkürzel gefunden der nicht implementiert ist bitte kontaktiere Damian mit folgende Namen: {0}\n{1}",ex.Message, ex.StackTrace);
        }
#endif
        
        
        List<Sanierungart> sanierungarts = new List<Sanierungart>();
        
        sanierungarts.Add(new Reparatur());
        sanierungarts.Add(new Renovation());
        Schnittstelle.Export.Excel.MakeWorkbook(src,sanierungarts);
        
        sw.Stop();
        Console.WriteLine("Beendet in {0} ms",sw.ElapsedMilliseconds);
        return;
    }
}
